The Hadoop-Iceberg Integration project aims to demonstrate how to use Hadoop to read and process Apache Iceberg tables efficiently. 
The project shows how to set up the necessary components and libraries, configure the Hadoop environment to access Iceberg tables using the TableScan API (which enables the use of projections and filters over the data), and the IcebergInputFormat (which enables Hadoop to understand the Iceberg table layout).
